#!/bin/bash
JAXB_BIN="/opt/jwsdp/jaxb/bin/xjc.sh"
PACKAGE_NAME="org.jaebi.server.service.xml.xrequest"
PACKAGE_DIR="org/jaebi/server/service/xml/xrequest"
PACKAGE_BASEDIR="org"
PACKAGE_FILENAME="xrequest-0.1.jar"
XSD_FILE="xrequest.xsd"

SRC_DIR="src"
LIB_DIR="lib"

echo ""
echo "*** GENERATE JAVA CLASSES from XSD $XSD_FILE ***"
echo ""
$JAXB_BIN -d $SRC_DIR/ -p $PACKAGE_NAME $XSD_FILE

cd $SRC_DIR
echo ""
echo "*** COMPILE GENERATED JAVA CLASSES ***"
echo ""
javac $PACKAGE_DIR/impl/*.java $PACKAGE_DIR/*.java

echo ""
echo "*** MAKE JAR-PACKAGE $PACKAGE_FILENAME ***"
echo ""
jar -cvf ../$LIB_DIR/$PACKAGE_FILENAME $PACKAGE_BASEDIR
cd ..

echo ""
echo "*** Bye Bye :) ***"
echo ""
