/*
 * MainTestJAEBIServer.java
 *
 * Created on June 14, 2005, 7:06 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package org.jaebi.test.server.core;

import org.jaebi.server.JAEBIServer;
import org.jaebi.server.auth.Authenticator;
import org.jaebi.server.auth.AuthenticatorImpl;
import org.jaebi.server.auth.Session;
import org.jaebi.server.exception.JAEBIServerExecException;
import org.jaebi.server.exception.JAEBIServerInitException;
import org.jaebi.server.exception.JAEBIServerUserRegistrationException;
import org.jaebi.server.exception.JAEBIServerWrongSessionException;

/**
 *
 * @author detro
 */
public class MainTestJAEBIServer {
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String userNick = "Ivan";
        Session session;
        Authenticator authenticator;
        JAEBIServer coreServer = null;
        String request = "<xrequest xmlns='http://xml.netbeans.org/examples/targetNS' " +
                " xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' " +
                " xsi:schemaLocation='http://xml.netbeans.org/examples/targetNS xrequest.xsd' " +
                " type=\"select\">" +
                " <table>tabella001</table>" +
                "</xrequest>";
        String response = null;
        
		authenticator = new AuthenticatorImpl();
        session = authenticator.getAuthentication(userNick);
        
        try {
            coreServer = new JAEBIServer();
            coreServer.registerNewUser(userNick, session, "jsp");
            response = coreServer.executeRequest(session, request);
        } catch ( JAEBIServerInitException jsie ) {
            jsie.printStackTrace();
        } catch ( JAEBIServerUserRegistrationException ure ) {
            ure.printStackTrace();
        } catch ( JAEBIServerExecException jsee ) {
            jsee.printStackTrace();
        } catch ( JAEBIServerWrongSessionException jswse ) {
            jswse.printStackTrace();
        }
        
        System.out.println("RESULT: \n" + response);
        
        System.out.println("PWD: " + System.getProperty("user.dir") );
        System.out.println("SESSION HASHCODE: " + session.hashCode() );
        
        
    }
    
}
