/*
 * MainTestJAXBXresponse.java
 *
 * Created on May 31, 2005, 4:43 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package org.jaebi.test.server.xml;
import org.jaebi.server.service.xml.JAXBMarshallerWrapper;
import org.jaebi.server.service.xml.JAXBMarshallerWrapperImpl;
import org.jaebi.server.service.xml.JAXBXResponseFactory;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperInitException;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperMarshallException;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperUnmarshallException;
import org.jaebi.server.service.xml.exception.JAXBXResponseFactoryBuildingException;
import org.jaebi.server.service.xml.xresponse.Xresponse;
/**
 *
 * @author detro
 */
public class MainTestJAXBXresponse {
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        JAXBMarshallerWrapper marshWrap = null;
        JAXBXResponseFactory xrespFactory = new JAXBXResponseFactory();
        Xresponse responseXML = null;
        String responseXMLStr = null;
        
        try {
            responseXML = (Xresponse)xrespFactory.buildXresponse(true, "query ok");
            marshWrap = new JAXBMarshallerWrapperImpl("org.jaebi.server.service.xml.xresponse");
        } catch ( JAXBMarshallerWrapperInitException e ) {
            e.printStackTrace();
        } catch ( JAXBXResponseFactoryBuildingException e ) {
            e.printStackTrace();
        }
        
        try {
            marshWrap.setFormattedMarshalling(true);
            responseXMLStr = marshWrap.marshall(responseXML);
        } catch ( JAXBMarshallerWrapperMarshallException e ) {
            e.printStackTrace();
        } finally {
            System.out.println("XML Marshalled:\n" + responseXMLStr);
        }
        
        try {
            responseXML = (Xresponse)marshWrap.unmarshall(responseXMLStr);
        } catch ( JAXBMarshallerWrapperUnmarshallException e ) {
            e.printStackTrace();
        }
        
        
    }
    
}
