package org.jaebi.server;


/**
 * This is the service endpoint interface for the JAEBIWSweb service.
 * @author detro
 */

public interface JAEBIWSSEI extends java.rmi.Remote {
    /**
     * Web service operation
     */
    public int login(java.lang.String usernick, java.lang.String usertype) throws java.rmi.RemoteException;

    /**
     * Web service operation
     */
    public String getLastError() throws java.rmi.RemoteException;

    /**
     * Web service operation
     */
    public String logout(int sessionid) throws java.rmi.RemoteException;

    /**
     * Web service operation
     */
    public String executeRequest(int sessionid, java.lang.String xrequest) throws java.rmi.RemoteException;

    /**
     * Web service operation
     */
    public String getUsersList() throws java.rmi.RemoteException;

    /**
     * Web service operation
     */
    public int getUsersNumber() throws java.rmi.RemoteException;
    
}
