/*
 * Authenticator.java
 *
 * Created on May 13, 2005, 4:19 PM
 * Created by Detro - 566/2145
 */

package org.jaebi.server.auth;

/**
 * Definisce l'interfaccia per le Classi di Autenticazione su JAEBI Server.
 *
 * Questa versione prevede che chiunque possa autenticarsi,
 * indipendentemente dalla preesistenza di un Account registrato.
 * 
 * @author detro
 */
public interface Authenticator {
    /**
     * Restituisce un ID (identificativo) unico.
     * @param nick NickName / Nome Utente */
    public Session getAuthentication(String nick);
}
