/*
 * PasswordAuthenticator.java
 *
 * Created on May 13, 2005, 4:24 PM
 * Created by Detro - 566/2145
 */

package org.jaebi.server.auth;

/**
 * Definisce l'interfaccia per le Classi di Autenticazione su JAEBI Server.
 *
 * Questa versione prevede che possa autenticarsi solo chi
 * e' in possesso di un Account precedentemente registrato.
 * @author detro
 */
public interface PasswordAuthenticator {
    /**
     * Restituisce un ID (identificativo) unico.
     * @param nick NickName / Nome Utente 
     * @param password Password Utente */
    public Session getAuthentication(String nick, String password);
}
