package org.jaebi.test.server.core;
/*
 * MainTestUserContainerImpl.java
 *
 * Created on May 16, 2005, 3:59 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

import java.util.Collection;
import java.util.Iterator;

import org.jaebi.server.auth.Authenticator;
import org.jaebi.server.auth.AuthenticatorImpl;
import org.jaebi.server.auth.Session;
import org.jaebi.server.core.TimeoutThreadedUserContainer;
import org.jaebi.server.core.User;
import org.jaebi.server.core.UserContainer;
/**
 *
 * @author detro
 */
public class MainTestTimedUserContainer {
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        UserContainer users = new TimeoutThreadedUserContainer(60000, 30000);
		System.out.println("creazione authenticator");
        Authenticator auth = new AuthenticatorImpl();
		System.out.println("sto per addare");
        users.addUser("nick01", auth.getAuthentication("nick01"), "J2ME");
		System.out.println("added");
        users.addUser("nick02", auth.getAuthentication("nick02"), "Web");
		System.out.println("added");
        Session tre = auth.getAuthentication("nick03");
        users.addUser("nick03", tre, "Swing");
		System.out.println("added");
        users.addUser("nick04", auth.getAuthentication("nick04"), "Swing");
		System.out.println("added");
        users.addUser("nick05", auth.getAuthentication("nick05"), "Swing");
		System.out.println("added");
        users.addUser("nick06", auth.getAuthentication("nick06"), "Swing");
		System.out.println("added");
        
        Session t = auth.getAuthentication("nick07");
        users.addUser("nick07", t, "Web");
        users.addUser("nick07bis", t, "Web");
        System.out.println(">>> 01 - Lista Completa");
        System.out.println(users);
        
        users.removeUser(auth.getAuthentication("nick03"));
        System.out.println(">>> 02 - Prova Eliminazione Errata");
        System.out.println(users);
        
        users.removeUser(tre);
        System.out.println(">>> 03 - Prova Eliminazione tramite Session corretta");
        System.out.println(users);
        
        System.out.println(">>> 04 - byType \"Swing\"");
        Collection byType = users.getUsersByType("Swing");
        Iterator i = byType.iterator();
        while ( i.hasNext() )
            System.out.println((User)i.next());
        System.out.println(">>> --- --- ---");
		
		int k = 0;
		while ( k < 10 ) {
			k++;
			System.out.println(users);
			try {
				Thread.sleep(4000);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
		
    }
    
}
