/*
 * MainTestServiceMediatorImpl.java
 *
 * Created on June 13, 2005, 4:23 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package org.jaebi.test.server.service;

import java.io.File;
import java.io.PrintStream;

import org.jaebi.server.service.ServiceMediatorImpl;
import org.jaebi.server.service.exception.ServiceMediatorExecException;
import org.jaebi.server.service.exception.ServiceMediatorInitException;
import org.jaebi.server.service.xml.JAXBMarshallerWrapper;
import org.jaebi.server.service.xml.JAXBMarshallerWrapperImpl;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperInitException;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperMarshallException;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperUnmarshallException;
import org.jaebi.server.service.xml.xrequest.Xrequest;
import org.jaebi.server.service.xml.xresponse.Xresponse;


/**
 *
 * @author detro
 */
public class MainTestServiceMediatorImpl {
        
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        JAXBMarshallerWrapper marshWrapReq = null;
        JAXBMarshallerWrapper marshWrapRes = null;
        Xrequest newReq = null;
        Xresponse newRes = null;
        String newResS = null;
        File sourceFile = new File("/Users/detro/workspace-nb/JAEBI/XML-Examples/xrequest-example.select-ok-004.xml");
        ServiceMediatorImpl mediator = null;
        PrintStream out = System.out;
        
        try {
            marshWrapReq = new JAXBMarshallerWrapperImpl("org.jaebi.server.service.xml.xrequest");
            marshWrapRes = new JAXBMarshallerWrapperImpl("org.jaebi.server.service.xml.xresponse");
            newReq = (Xrequest)marshWrapReq.unmarshall(sourceFile);
            
            out.println(">> Letto File XML e Creato relativo XREQUEST");
        } catch ( JAXBMarshallerWrapperInitException inite) {
            inite.printStackTrace();
        } catch ( JAXBMarshallerWrapperUnmarshallException unmarshe) {
            unmarshe.printStackTrace();
        } 
        
        try {
            mediator = new ServiceMediatorImpl("/Users/detro/workspace-nb/JAEBI/web/BackEndHandlerImpl.properties");
            
            out.println(">> Istanziato il Service Mediator");
        } catch ( ServiceMediatorInitException inite) {
            inite.printStackTrace();
        }
        
        try {
            newRes = (Xresponse)mediator.executeService(null, (Object)newReq);
            marshWrapRes.setFormattedMarshalling(true);
            newResS = marshWrapRes.marshall(newRes);
            
            out.println(">> Eseguito il Service");
        } catch ( ServiceMediatorExecException exece) {
            exece.printStackTrace();
        } catch ( JAXBMarshallerWrapperMarshallException marshe) {
            marshe.printStackTrace();
        }
        
        out.println(">> Risultato:");
        out.println(newResS);
        
        
    }
    
}
