/*
 * MainTestJAXBXrequest.java
 *
 * Created on May 29, 2005, 10:45 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package org.jaebi.test.server.xml;

import java.io.File;
import java.util.Iterator;

import org.jaebi.server.service.xml.JAXBMarshallerWrapper;
import org.jaebi.server.service.xml.JAXBMarshallerWrapperImpl;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperInitException;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperMarshallException;
import org.jaebi.server.service.xml.exception.JAXBMarshallerWrapperUnmarshallException;
import org.jaebi.server.service.xml.xrequest.Xrequest;


/**
 *
 * @author detro
 */
public class MainTestJAXBXrequest {
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        JAXBMarshallerWrapper marshWrap = null;
        Xrequest xreqObj = null;
        File file = new File("/Users/detro/workspace-nb/JAEBI/XML-Examples/xrequest-example.select-002.xml");
        String XML = null;
        
        try {
            marshWrap = new JAXBMarshallerWrapperImpl("org.jaebi.server.service.xml.xrequest");
        } catch ( JAXBMarshallerWrapperInitException e ) {
            e.printStackTrace();
        }
        
        try {
            xreqObj = (Xrequest)marshWrap.unmarshall(file);
        } catch ( JAXBMarshallerWrapperUnmarshallException e ) {
            e.printStackTrace();
        }
        
        try {
            marshWrap.setFormattedMarshalling(true);
            XML = marshWrap.marshall(xreqObj);
        } catch ( JAXBMarshallerWrapperMarshallException e ) {
            e.printStackTrace();
        }
        
        System.out.println("output: ");
        System.out.println(XML);
        
        System.out.println( "COLUMNS OBJECT: " + xreqObj.getColumns() );
        
        System.out.println( "WHERE OBJECT: " + xreqObj.getWhere() );
        
        System.out.println( "COLUMN LIST: " + xreqObj.getWhere().getColumn() );
        Iterator iter = xreqObj.getWhere().getColumn().iterator();
        
        while ( iter.hasNext() )
            System.out.println(iter.next());
    }
    
}
